From a746e0218269ff24d8d88e5edfd01b284558d33b Mon Sep 17 00:00:00 2001
From: Raymond Toy <toy.raymond@gmail.com>
Date: Sun, 30 Mar 2014 09:42:19 -0700
Subject: [PATCH] Remove support for x87 cores from build scripts.

 * Command-line options allowing building for x87 are gone.
 * Don't try to install x86f fasls.
---
 bin/build-all.sh       |  7 ++-----
 bin/build.sh           | 16 +++++++---------
 bin/make-extra-dist.sh |  2 +-
 bin/make-main-dist.sh  | 14 +++-----------
 4 files changed, 13 insertions(+), 26 deletions(-)

diff --git a/bin/build-all.sh b/bin/build-all.sh
index 6313062cf..289e90a59 100755
--- a/bin/build-all.sh
+++ b/bin/build-all.sh
@@ -10,7 +10,6 @@ usage ()
     echo ""
     echo "Build all variants of cmucl for a specific architecture."
     echo "This means build the unicode and non-unicode variants."
-    echo "For x86 architectures, the x87 and sse2 cores are also built."
     echo "This script basically automates calling build.sh for all the"
     echo "variants, using the most common options.  If there are special"
     echo "requirements, then you must use build.sh itself instead of this"
@@ -89,15 +88,13 @@ buildx86 ()
     if [ -n "$OLD8" ]; then
 	# Build non-unicode versions
 	set -x
-	$BINDIR/build.sh -f x87 -b ${BASE}-8bit $bootfiles ${VERSION:+-v "$VERSION"} -C "${CREATE_OPT}" ${UPDATE_TRANS} ${UPDATE_POT} ${RECOMPILEC} ${GIT_FILE_COMMENT} -o "$OLD8"
-	$BINDIR/build.sh -f sse2 -b ${BASE}-8bit $bootfiles ${VERSION:+-v "$VERSION"} -C "${CREATE_OPT}" ${UPDATE_TRANS} ${UPDATE_POT} ${RECOMPILEC} ${GIT_FILE_COMMENT} -o "$OLD8"
+	$BINDIR/build.sh -b ${BASE}-8bit $bootfiles ${VERSION:+-v "$VERSION"} -C "${CREATE_OPT}" ${UPDATE_TRANS} ${UPDATE_POT} ${RECOMPILEC} ${GIT_FILE_COMMENT} -o "$OLD8"
 	set +x
     fi
     # Build the unicode versions
     if [ -n "$OLDLISP" ]; then
 	set -x
-	$BINDIR/build.sh -f x87 -b ${BASE} $bootfiles ${VERSION:+-v "$VERSION"} -C "${CREATE_OPT}" ${UPDATE_TRANS} ${UPDATE_POT} ${RECOMPILEC} ${GIT_FILE_COMMENT} -o "$OLDLISP"
-	$BINDIR/build.sh -f sse2 -b ${BASE} $bootfiles ${VERSION:+-v "$VERSION"} -C "${CREATE_OPT}" ${UPDATE_TRANS} ${UPDATE_POT} ${RECOMPILEC} ${GIT_FILE_COMMENT} -o "$OLDLISP"
+	$BINDIR/build.sh -b ${BASE} $bootfiles ${VERSION:+-v "$VERSION"} -C "${CREATE_OPT}" ${UPDATE_TRANS} ${UPDATE_POT} ${RECOMPILEC} ${GIT_FILE_COMMENT} -o "$OLDLISP"
 	set +x
     fi
 }
diff --git a/bin/build.sh b/bin/build.sh
index 9309e6382..e0274baa1 100755
--- a/bin/build.sh
+++ b/bin/build.sh
@@ -87,7 +87,6 @@ usage ()
     echo '    -C [l m]  Create the build directories.  The args are what'
     echo '               you would give to create-target.sh for the lisp'
     echo '               and motif variant.'
-    echo '    -f mode   FPU mode:  x87, sse2, or auto.  Default is auto'
     echo '    -P        On the last build, do NOT generate cmucl.pot and do NOT update'
     echo '               the translations.'
     echo "    -?        This help message"
@@ -155,7 +154,7 @@ BUILDWORLD="$TOOLDIR/build-world.sh"
 BUILD_POT="yes"
 UPDATE_TRANS=
 
-while getopts "123PRGo:b:v:uB:C:Ui:f:w:O:?" arg
+while getopts "123PRGo:b:v:uB:C:Ui:w:O:?" arg
 do
     case $arg in
 	1) ENABLE2="no" ;;
@@ -169,7 +168,6 @@ do
 	   CREATE_DIRS=yes ;;
 	B) bootfiles="$bootfiles $OPTARG" ;;
         i) INTERACTIVE_BUILD="$OPTARG" ;;
-	f) FPU_MODE="-fpu $OPTARG" ;;
         P) BUILD_POT=no ;;
         w) BUILDWORLD="$OPTARG" ;;
         U) UPDATE_TRANS="yes";;
@@ -218,13 +216,13 @@ MAKE_TARGET=all
 export INTERACTIVE
 
 BUILD=1
-OLDLISP="$OLDLISP $OLDLISPFLAGS $FPU_MODE"
+OLDLISP="$OLDLISP $OLDLISPFLAGS"
 buildit
 
 bootfiles=
 
 TARGET=$BASE-3
-OLDLISP="${BASE}-2/lisp/lisp $OLDLISPFLAGS $FPU_MODE"
+OLDLISP="${BASE}-2/lisp/lisp $OLDLISPFLAGS"
 ENABLE=$ENABLE3
 
 BUILD=2
@@ -235,7 +233,7 @@ buildit
 
 TARGET=$BASE-4
 CLEAN_FLAGS="-K all"
-OLDLISP="${BASE}-3/lisp/lisp $OLDLISPFLAGS $FPU_MODE"
+OLDLISP="${BASE}-3/lisp/lisp $OLDLISPFLAGS"
 ENABLE=$ENABLE4
 
 if [ "${BUILD_POT}" = "yes" ]; then
@@ -253,7 +251,7 @@ buildit
 
 # Asdf and friends are part of the base install, so we need to build
 # them now.
-$TARGET/lisp/lisp $FPU_MODE -noinit -nositeinit -batch "$@" << EOF || exit 3
+$TARGET/lisp/lisp -noinit -nositeinit -batch "$@" << EOF || exit 3
 (in-package :cl-user)
 (setf (ext:search-list "target:")
       '("$TARGET/" "src/"))
@@ -267,8 +265,8 @@ EOF
 
 if [ "$SKIPUTILS" = "no" ];
 then
-    OLDLISP="${BASE}-4/lisp/lisp $OLDLISPFLAGS $FPU_MODE"
-    time $TOOLDIR/build-utils.sh $TARGET $FPU_MODE
+    OLDLISP="${BASE}-4/lisp/lisp $OLDLISPFLAGS"
+    time $TOOLDIR/build-utils.sh $TARGET
 fi
 
 build_finished=`date`
diff --git a/bin/make-extra-dist.sh b/bin/make-extra-dist.sh
index 3f846088b..8e49b2b7c 100755
--- a/bin/make-extra-dist.sh
+++ b/bin/make-extra-dist.sh
@@ -33,7 +33,7 @@ ARCH=$3
 OS=$4
 
 case $ARCH in
-	x86*)		FASL="x86f sse2f" ;;
+	x86*)		FASL="sse2f" ;;
 	sparc*)		FASL=sparcf ;;
 	alpha*)		FASL=axpf ;;
 	ppc*)		FASL=ppcf ;;
diff --git a/bin/make-main-dist.sh b/bin/make-main-dist.sh
index e52ca3fe4..e28299676 100755
--- a/bin/make-main-dist.sh
+++ b/bin/make-main-dist.sh
@@ -36,11 +36,11 @@ VERSION=$2
 ARCH=$3
 OS=$4
 
-# Core file to look for.  For x86, we have two core files to include.
+# Core file to look for.
 CORE=lisp.core
 case $ARCH in
-	x86*)		FASL=x86f
-                        CORE="lisp-*.core" ;;
+	x86*)		FASL=sse2f
+                        CORE="lisp-sse2.core" ;;
 	sparc*)		FASL=sparcf ;;
 	alpha*)		FASL=axpf ;;
 	ppc*)		FASL=ppcf ;;
@@ -119,10 +119,6 @@ install ${GROUP} ${OWNER} -m 0755 src/tools/sample-wrapper $DESTDIR/lib/cmucl/
 for f in gray-streams gray-compat simple-streams iodefs
 do
     install ${GROUP} ${OWNER} -m 0644 $TARGET/pcl/$f-library.$FASL $DESTDIR/lib/cmucl/lib/subsystems/
-    if [ "$FASL" = "x86f" ]; then
-	# For x87, we want both x86f and sse2f
-	install ${GROUP} ${OWNER} -m 0644 $TARGET/pcl/$f-library.sse2f $DESTDIR/lib/cmucl/lib/subsystems/
-    fi
 done
 
 for f in src/pcl/simple-streams/external-formats/*.lisp src/pcl/simple-streams/external-formats/aliases src/i18n/unidata.bin
@@ -135,10 +131,6 @@ for f in asdf defsystem
 do
     install -d ${GROUP} ${OWNER} -m 0755 $DESTDIR/lib/cmucl/lib/contrib/$f
     install ${GROUP} ${OWNER} -m 0644 $TARGET/contrib/$f/$f.$FASL $DESTDIR/lib/cmucl/lib/contrib/$f
-    if [ "$FASL" = "x86f" ]; then
-	# For x87, we want both x86f and sse2f
-	install ${GROUP} ${OWNER} -m 0644 $TARGET/contrib/$f/$f.sse2f $DESTDIR/lib/cmucl/lib/contrib/$f
-    fi
 done
 
 # Copy the source files for asdf and defsystem
-- 
GitLab